import pymysql
import pandas as pd

def getConn():
    # 从数据库的表里获取数据

    db = pymysql.connect(host='172.16.50.175', port=3306, user='doris', passwd='o5gbA27hXHHm',
                         db='doris_olap')
    # cursor = db.cursor()
    # cursor.execute(sql)
    return db


if __name__ == '__main__':
    sql = """
        select service_id,service_all_first_browse_num_d,service_all_preciseexpose_num_d,service_cpc_expend_recharge_amount_d
     ,service_add_cart_click_num_d,service_message_click_num_d,service_buy_click_num_d,service_validate_order_commission_non_doctor_d 
     from sl_strategy_pt_sv_servicesmartrank_d
     """

    conn = getConn()
    df = pd.read_sql_query(sql,conn)
    df.head(10);
    df.to_excel("ecpm_data.xlsx")
